PaidGoods
API referenceOperations

Save operations settings

PUT
/v1/stores/{storeId}/operations/settings

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PUT "https://example.com/v1/stores/string/operations/settings" \  -H "Content-Type: application/json" \  -d '{}'
{  "quietHours": {    "enabled": true,    "start": "strin",    "end": "strin",    "timezone": "string"  },  "templates": {    "property1": {      "title": "string",      "body": "string",      "private": true    },    "property2": {      "title": "string",      "body": "string",      "private": true    }  },  "discovery": {    "enabled": true,    "summary": "string",    "categories": [      "string"    ]  },  "showcase": {    "enabled": true,    "allowCritique": true,    "summary": "string"  },  "mobilePrivacy": {    "hideRevenue": true,    "hideOrderValues": true,    "requireUnlock": true  },  "storeId": "b8adcdc8-9238-4168-90f8-77b2d14c211c",  "env": "live",  "updatedAt": "string"}